# Interface ParserConstants

All Known Implementing Classes:
  `Parser, ParserTokenManager, Primitive`

public interface ParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`_DEFAULT`
`static final int`
`ABSTRACT`
`static final int`
`ANDASSIGN`
`static final int`
`ANDASSIGNX`
`static final int`
`ASSIGN`
`static final int`
`BANG`
`static final int`
`BIT_AND`
`static final int`
`BIT_ANDX`
`static final int`
`BIT_OR`
`static final int`
`BIT_ORX`
`static final int`
`BOOL_AND`
`static final int`
`BOOL_ANDX`
`static final int`
`BOOL_OR`
`static final int`
`BOOL_ORX`
`static final int`
`BOOLEAN`
`static final int`
`BREAK`
`static final int`
`BYTE`
`static final int`
`CASE`
`static final int`
`CATCH`
`static final int`
`CHAR`
`static final int`
`CHARACTER_LITERAL`
`static final int`
`CLASS`
`static final int`
`COLON`
`static final int`
`COMMA`
`static final int`
`CONST`
`static final int`
`CONTINUE`
`static final int`
`DECIMAL_LITERAL`
`static final int`
`DECR`
`static final int`
`DEFAULT`
`static final int`
`DIGIT`
`static final int`
`DO`
`static final int`
`DOT`
`static final int`
`DOUBLE`
`static final int`
`ELSE`
`static final int`
`ENUM`
`static final int`
`EOF`
`static final int`
`EQ`
`static final int`
`EXPONENT`
`static final int`
`EXTENDS`
`static final int`
`FALSE`
`static final int`
`FINAL`
`static final int`
`FINALLY`
`static final int`
`FLOAT`
`static final int`
`FLOATING_POINT_LITERAL`
`static final int`
`FOR`
`static final int`
`FORMAL_COMMENT`
`static final int`
`GE`
`static final int`
`GEX`
`static final int`
`GOTO`
`static final int`
`GT`
`static final int`
`GTX`
`static final int`
`HASH_BANG_COMMENT`
`static final int`
`HEX_LITERAL`
`static final int`
`HOOK`
`static final int`
`IDENTIFIER`
`static final int`
`IF`
`static final int`
`IMPLEMENTS`
`static final int`
`IMPORT`
`static final int`
`INCR`
`static final int`
`INSTANCEOF`
`static final int`
`INT`
`static final int`
`INTEGER_LITERAL`
`static final int`
`INTERFACE`
`static final int`
`LBRACE`
`static final int`
`LBRACKET`
`static final int`
`LE`
`static final int`
`LETTER`
`static final int`
`LEX`
`static final int`
`LONG`
`static final int`
`LPAREN`
`static final int`
`LSHIFT`
`static final int`
`LSHIFTASSIGN`
`static final int`
`LSHIFTASSIGNX`
`static final int`
`LSHIFTX`
`static final int`
`LT`
`static final int`
`LTX`
`static final int`
`MINUS`
`static final int`
`MINUSASSIGN`
`static final int`
`MOD`
`static final int`
`MODASSIGN`
`static final int`
`MULTI_LINE_COMMENT`
`static final int`
`NATIVE`
`static final int`
`NE`
`static final int`
`NEW`
`static final int`
`NONPRINTABLE`
`static final int`
`NULL`
`static final int`
`OCTAL_LITERAL`
`static final int`
`ORASSIGN`
`static final int`
`ORASSIGNX`
`static final int`
`PACKAGE`
`static final int`
`PLUS`
`static final int`
`PLUSASSIGN`
`static final int`
`PRIVATE`
`static final int`
`PROTECTED`
`static final int`
`PUBLIC`
`static final int`
`RBRACE`
`static final int`
`RBRACKET`
`static final int`
`RETURN`
`static final int`
`RPAREN`
`static final int`
`RSIGNEDSHIFT`
`static final int`
`RSIGNEDSHIFTASSIGN`
`static final int`
`RSIGNEDSHIFTASSIGNX`
`static final int`
`RSIGNEDSHIFTX`
`static final int`
`RUNSIGNEDSHIFT`
`static final int`
`RUNSIGNEDSHIFTASSIGN`
`static final int`
`RUNSIGNEDSHIFTASSIGNX`
`static final int`
`RUNSIGNEDSHIFTX`
`static final int`
`SEMICOLON`
`static final int`
`SHORT`
`static final int`
`SINGLE_LINE_COMMENT`
`static final int`
`SLASH`
`static final int`
`SLASHASSIGN`
`static final int`
`STAR`
`static final int`
`STARASSIGN`
`static final int`
`STATIC`
`static final int`
`STRICTFP`
`static final int`
`STRING_LITERAL`
`static final int`
`SWITCH`
`static final int`
`SYNCHRONIZED`
`static final int`
`THROW`
`static final int`
`THROWS`
`static final int`
`TILDE`
`static final String[]`
`tokenImage`
`static final int`
`TRANSIENT`
`static final int`
`TRUE`
`static final int`
`TRY`
`static final int`
`VOID`
`static final int`
`VOLATILE`
`static final int`
`WHILE`
`static final int`
`XOR`
`static final int`
`XORASSIGN`

## Field Details

### EOF

static final int EOF

See Also:
  - Constant Field Values

### NONPRINTABLE

static final int NONPRINTABLE

See Also:
  - Constant Field Values

### SINGLE_LINE_COMMENT

static final int SINGLE_LINE_COMMENT

See Also:
  - Constant Field Values

### HASH_BANG_COMMENT

static final int HASH_BANG_COMMENT

See Also:
  - Constant Field Values

### MULTI_LINE_COMMENT

static final int MULTI_LINE_COMMENT

See Also:
  - Constant Field Values

### ABSTRACT

static final int ABSTRACT

See Also:
  - Constant Field Values

### BOOLEAN

static final int BOOLEAN

See Also:
  - Constant Field Values

### BREAK

static final int BREAK

See Also:
  - Constant Field Values

### CLASS

static final int CLASS

See Also:
  - Constant Field Values

### BYTE

static final int BYTE

See Also:
  - Constant Field Values

### CASE

static final int CASE

See Also:
  - Constant Field Values

### CATCH

static final int CATCH

See Also:
  - Constant Field Values

### CHAR

static final int CHAR

See Also:
  - Constant Field Values

### CONST

static final int CONST

See Also:
  - Constant Field Values

### CONTINUE

static final int CONTINUE

See Also:
  - Constant Field Values

### _DEFAULT

static final int _DEFAULT

See Also:
  - Constant Field Values

### DO

static final int DO

See Also:
  - Constant Field Values

### DOUBLE

static final int DOUBLE

See Also:
  - Constant Field Values

### ELSE

static final int ELSE

See Also:
  - Constant Field Values

### ENUM

static final int ENUM

See Also:
  - Constant Field Values

### EXTENDS

static final int EXTENDS

See Also:
  - Constant Field Values

### FALSE

static final int FALSE

See Also:
  - Constant Field Values

### FINAL

static final int FINAL

See Also:
  - Constant Field Values

### FINALLY

static final int FINALLY

See Also:
  - Constant Field Values

### FLOAT

static final int FLOAT

See Also:
  - Constant Field Values

### FOR

static final int FOR

See Also:
  - Constant Field Values

### GOTO

static final int GOTO

See Also:
  - Constant Field Values

### IF

static final int IF

See Also:
  - Constant Field Values

### IMPLEMENTS

static final int IMPLEMENTS

See Also:
  - Constant Field Values

### IMPORT

static final int IMPORT

See Also:
  - Constant Field Values

### INSTANCEOF

static final int INSTANCEOF

See Also:
  - Constant Field Values

### INT

static final int INT

See Also:
  - Constant Field Values

### INTERFACE

static final int INTERFACE

See Also:
  - Constant Field Values

### LONG

static final int LONG

See Also:
  - Constant Field Values

### NATIVE

static final int NATIVE

See Also:
  - Constant Field Values

### NEW

static final int NEW

See Also:
  - Constant Field Values

### NULL

static final int NULL

See Also:
  - Constant Field Values

### PACKAGE

static final int PACKAGE

See Also:
  - Constant Field Values

### PRIVATE

static final int PRIVATE

See Also:
  - Constant Field Values

### PROTECTED

static final int PROTECTED

See Also:
  - Constant Field Values

### PUBLIC

static final int PUBLIC

See Also:
  - Constant Field Values

### RETURN

static final int RETURN

See Also:
  - Constant Field Values

### SHORT

static final int SHORT

See Also:
  - Constant Field Values

### STATIC

static final int STATIC

See Also:
  - Constant Field Values

### STRICTFP

static final int STRICTFP

See Also:
  - Constant Field Values

### SWITCH

static final int SWITCH

See Also:
  - Constant Field Values

### SYNCHRONIZED

static final int SYNCHRONIZED

See Also:
  - Constant Field Values

### TRANSIENT

static final int TRANSIENT

See Also:
  - Constant Field Values

### THROW

static final int THROW

See Also:
  - Constant Field Values

### THROWS

static final int THROWS

See Also:
  - Constant Field Values

### TRUE

static final int TRUE

See Also:
  - Constant Field Values

### TRY

static final int TRY

See Also:
  - Constant Field Values

### VOID

static final int VOID

See Also:
  - Constant Field Values

### VOLATILE

static final int VOLATILE

See Also:
  - Constant Field Values

### WHILE

static final int WHILE

See Also:
  - Constant Field Values

### INTEGER_LITERAL

static final int INTEGER_LITERAL

See Also:
  - Constant Field Values

### DECIMAL_LITERAL

static final int DECIMAL_LITERAL

See Also:
  - Constant Field Values

### HEX_LITERAL

static final int HEX_LITERAL

See Also:
  - Constant Field Values

### OCTAL_LITERAL

static final int OCTAL_LITERAL

See Also:
  - Constant Field Values

### FLOATING_POINT_LITERAL

static final int FLOATING_POINT_LITERAL

See Also:
  - Constant Field Values

### EXPONENT

static final int EXPONENT

See Also:
  - Constant Field Values

### CHARACTER_LITERAL

static final int CHARACTER_LITERAL

See Also:
  - Constant Field Values

### STRING_LITERAL

static final int STRING_LITERAL

See Also:
  - Constant Field Values

### FORMAL_COMMENT

static final int FORMAL_COMMENT

See Also:
  - Constant Field Values

### IDENTIFIER

static final int IDENTIFIER

See Also:
  - Constant Field Values

### LETTER

static final int LETTER

See Also:
  - Constant Field Values

### DIGIT

static final int DIGIT

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN

See Also:
  - Constant Field Values

### LBRACE

static final int LBRACE

See Also:
  - Constant Field Values

### RBRACE

static final int RBRACE

See Also:
  - Constant Field Values

### LBRACKET

static final int LBRACKET

See Also:
  - Constant Field Values

### RBRACKET

static final int RBRACKET

See Also:
  - Constant Field Values

### SEMICOLON

static final int SEMICOLON

See Also:
  - Constant Field Values

### COMMA

static final int COMMA

See Also:
  - Constant Field Values

### DOT

static final int DOT

See Also:
  - Constant Field Values

### ASSIGN

static final int ASSIGN

See Also:
  - Constant Field Values

### GT

static final int GT

See Also:
  - Constant Field Values

### GTX

static final int GTX

See Also:
  - Constant Field Values

### LT

static final int LT

See Also:
  - Constant Field Values

### LTX

static final int LTX

See Also:
  - Constant Field Values

### BANG

static final int BANG

See Also:
  - Constant Field Values

### TILDE

static final int TILDE

See Also:
  - Constant Field Values

### HOOK

static final int HOOK

See Also:
  - Constant Field Values

### COLON

static final int COLON

See Also:
  - Constant Field Values

### EQ

static final int EQ

See Also:
  - Constant Field Values

### LE

static final int LE

See Also:
  - Constant Field Values

### LEX

static final int LEX

See Also:
  - Constant Field Values

### GE

static final int GE

See Also:
  - Constant Field Values

### GEX

static final int GEX

See Also:
  - Constant Field Values

### NE

static final int NE

See Also:
  - Constant Field Values

### BOOL_OR

static final int BOOL_OR

See Also:
  - Constant Field Values

### BOOL_ORX

static final int BOOL_ORX

See Also:
  - Constant Field Values

### BOOL_AND

static final int BOOL_AND

See Also:
  - Constant Field Values

### BOOL_ANDX

static final int BOOL_ANDX

See Also:
  - Constant Field Values

### INCR

static final int INCR

See Also:
  - Constant Field Values

### DECR

static final int DECR

See Also:
  - Constant Field Values

### PLUS

static final int PLUS

See Also:
  - Constant Field Values

### MINUS

static final int MINUS

See Also:
  - Constant Field Values

### STAR

static final int STAR

See Also:
  - Constant Field Values

### SLASH

static final int SLASH

See Also:
  - Constant Field Values

### BIT_AND

static final int BIT_AND

See Also:
  - Constant Field Values

### BIT_ANDX

static final int BIT_ANDX

See Also:
  - Constant Field Values

### BIT_OR

static final int BIT_OR

See Also:
  - Constant Field Values

### BIT_ORX

static final int BIT_ORX

See Also:
  - Constant Field Values

### XOR

static final int XOR

See Also:
  - Constant Field Values

### MOD

static final int MOD

See Also:
  - Constant Field Values

### LSHIFT

static final int LSHIFT

See Also:
  - Constant Field Values

### LSHIFTX

static final int LSHIFTX

See Also:
  - Constant Field Values

### RSIGNEDSHIFT

static final int RSIGNEDSHIFT

See Also:
  - Constant Field Values

### RSIGNEDSHIFTX

static final int RSIGNEDSHIFTX

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFT

static final int RUNSIGNEDSHIFT

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFTX

static final int RUNSIGNEDSHIFTX

See Also:
  - Constant Field Values

### PLUSASSIGN

static final int PLUSASSIGN

See Also:
  - Constant Field Values

### MINUSASSIGN

static final int MINUSASSIGN

See Also:
  - Constant Field Values

### STARASSIGN

static final int STARASSIGN

See Also:
  - Constant Field Values

### SLASHASSIGN

static final int SLASHASSIGN

See Also:
  - Constant Field Values

### ANDASSIGN

static final int ANDASSIGN

See Also:
  - Constant Field Values

### ANDASSIGNX

static final int ANDASSIGNX

See Also:
  - Constant Field Values

### ORASSIGN

static final int ORASSIGN

See Also:
  - Constant Field Values

### ORASSIGNX

static final int ORASSIGNX

See Also:
  - Constant Field Values

### XORASSIGN

static final int XORASSIGN

See Also:
  - Constant Field Values

### MODASSIGN

static final int MODASSIGN

See Also:
  - Constant Field Values

### LSHIFTASSIGN

static final int LSHIFTASSIGN

See Also:
  - Constant Field Values

### LSHIFTASSIGNX

static final int LSHIFTASSIGNX

See Also:
  - Constant Field Values

### RSIGNEDSHIFTASSIGN

static final int RSIGNEDSHIFTASSIGN

See Also:
  - Constant Field Values

### RSIGNEDSHIFTASSIGNX

static final int RSIGNEDSHIFTASSIGNX

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFTASSIGN

static final int RUNSIGNEDSHIFTASSIGN

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFTASSIGNX

static final int RUNSIGNEDSHIFTASSIGNX

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage